Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03395 Sound Minor Always Aug 17, 2009, 00:48 Sep 20, 2014, 18:56
Tester -MAME Source- View Status Public Platform MAMEUI
Assigned To trap15 Resolution Fixed OS
Status [?] Resolved Driver nmk16.cpp
Version 0.133 Fixed in Version 0.155 Build Normal
Summary 03395: macross2: Music emulation is not 100% perfect (a balance issue)
Description This was tried with both MAME and MAMEUI and have the same problem. Sound emulation in Macross II is not perfect. There's a sound balance issue that some of the music beats are too low. I found out of the issue here:

http://nicosound.anyap.info/sound/sm5262097

You don't need to sign up to listen to it.

Someone ripped the music from the actual PCB board and it sounds mostly different from MAME. I also ask some of my friends who own the PCB if the music from this rip is the same as on the actual PCB board and they confirm it. It always struck me odd that most, if not all the nwk16 games have imperfect emulation except Macross II.

I put the severity as a major one because MAME have the game listed with perfect sound, that's not true.
Steps To Reproduce Just load the game, play, and listen to the BGM. Then play the music from the Japanese website and listen to the difference.
Additional Information I know to be wary of CD rips, but this is not a CD rip (if you read Japanese the guy who uploaded the music said this was ripped from the PCB). The CD part means the sound quality is at 128 kbps = CD quality sound. It would be nice to have someone try to fix the problem, if not make the game have the Sound Emulation is not 100% message on the next MAME release.


The guy also uploaded music from other nmk16 games with music problems. Worth a listen to for reference.

Posted by HyperDuel
Flags
Regression Version
Affected Sets / Systems macross2
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.04826
Fujix
Administrator
Aug 17, 2009, 04:37
edited on: Aug 17, 2009, 14:37
No Macross II OSD was released ever. The page title is "BGM collection that is not released on CD". "128 kbps" is just a bitrate of the mp3, doesn't have to do with what you are advocating.
User avatar
No.04832
HyperDuel
Tester
Aug 20, 2009, 04:21
edited on: Aug 20, 2009, 04:24
I own some of these PCBs before and I do conclude that these are the actual PCB rips and not made up stuff.

http://nicosound.anyap.info/sound/sm2653291

Second part of the stream is from Koutetsu Yousai Strahl, (you might have to download it, if you have problems please let me know). The music rip is just like my PCB board.

I own/had these PCBs before and I do confirm that the music rips are 100% from the PCBs:

Akuu Gallet/Air Gallet
Air Buster
Thunder Dragon
EDF
Koutetsu Yousai Strahl
Second Earth Gratia
Operation Ragnarok/Zed Blade

Black Heart had an OST release and it sounds just like the PCB. Of course we all know that the publisher might make the music sound better but I played the game before at a friends house and the guy's rip sounds just right.

The last thing that I'm going to add is this:

http://blog.goo.ne.jp/yoshitaka818181/e/32ff369b8045a98738516e17420d0b4b

Some guy beating USAAF Mustang. The game uses the nmk16 driver and the music doesn't even work on it. The footage was recorded from a supergun setup. Most superplays or replay videos from the Japanese websites are not even from MAME, they record from actual PCB setups. Many Japanese players stay away from MAME because to them it's not accurate. I talked to a few in my life time, none of them use MAME. If you watch the video the guy is using auto-fire since many superguns do support autofire built-in.

If you have having problems with the video please click on one of the windows and let the page load. You have to sign up for the website to few the videos. Even if you sign up the videos may not load since the site gets hammered so much. Part 4 of the video was working just a few minutes ago. When watching you can hear the music just fine and it matches the guy's rip of it.

I can go on and on about this but I listen to the rips of the games that I own and these are perfect rips. You can take it with a gain of salt but if there was a way for me to record the sound from my PCB I would so do it.

Oh yeah, if you want to ask me more about the games that I do own sound-wise please feel free to ask. :)
User avatar
No.04833
Fujix
Administrator
Aug 20, 2009, 08:36
We just need "solid proof" rather than hearsay.
Please understand that even if someone knows materials are from the original source, he/she always has to prove it convince Devs logically and earn the trust of the report.

As for the US AAF Mustang videos, I think they are real. By the way, what are you going to post a bug report about? The sound issue is already mentioned in the source code (see 02422). If you'd like to point out other issue like a graphical problem, please create new entry.

Also check the source code ToDo's:
- NMK004 sound CPU is just (imperfectly) simulated for now.
- There is a handshaking operation happening on boot in most games. It happens on
  the NMK004 communication ports so I have implemented it in NMK004.c. However,
  the same handshaking also happen in tharrier, which doesn't have a NMK004!
  Therefore, it might be another protection device, which sits in the middle
  between CPU and NMK004.
- Protection is patched in several games.
- Hacha Mecha Fighter: mcu simulation *might* be wrong/incorrect (see notes).
- Cocktail mode is supported, but tilemap.c has problems with asymmetrical
  visible areas.
- Music timing in nouryoku is a little off.
- In Bioship, there's an occasional flicker of one of the sprites composing big
  ships. Increasing CPU speed from 12 to 16 MHz improved it, but it's still not
  100% fixed. (but the CPU speed has been verified to be 10Mhz??)
- Input ports in Bio-ship Paladin, Strahl
- Sound communication in Mustang might be incorrectly implemented
- Incorrect OKI samples banking in Rapid Hero
- Hacha Mecha Fighter: (BTANB) the bomb graphics are pretty weird when the game is in
  japanese mode,but it's like this on the original game,it's just a japanese write for
  "bomb" word (I presume)
User avatar
No.04834
HyperDuel
Tester
Aug 20, 2009, 12:48
I know about earning the dev trust. The reason I open up this bug request so Macross II can go back to sound emulation is not 100% group. Currently people think the runs perfectly but with the music being not perfect it's not. MAME currently have Macross II running 100% but of course that's incorrect. For the next update if the game can have a sound emulation is not 100% perfect message then I would be happy and you can close this report. :)

I hope it's a simple request. I know the nmk16 drivers wasn't perfect to being with but at least make Macross have a sound emulation is not 100% perfect message. The other nmk16 games have this message.

Thanks!
User avatar
No.10976
Fujix
Administrator
Sep 13, 2014, 16:22
fixed by trap15